Subject: bug#23066: "guix package -i transmission" doesn't install transmission-gtk into profile

From: Leo Famulari <[email-masked]>
Date: Wed, 23 Mar 2016 13:25:36 -0400

On Sat, Mar 19, 2016 at 07:32:53PM +0100, Danny Milosavljevic wrote:
> However, it installs share/applications/transmission-gtk.desktop into the profile, containing
> 
> Exec=transmission-gtk %U
> 
> i.e. it won't find it.
> 
> transmission-cli works.
> 
> I checked gnu/packages/bittorrent.scm , it seems to do some weird special-case for the gui (it puts the gui into a "gui" output and the rest into an "out" output).
> 
> But
> 
> $ guix package -i transmission:gui
> 
> works. If that's supposed to be the official way, that's not discoverable. 

If you do `guix package --show=transmission`, the following line appears
in the output:
outputs: out gui

So, it is discoverable, although it doesn't jump out at you.  I think
that when we have a graphical package management tool, the multiple
outputs should be made more apparent to our users.

> Also, the desktop file should also be in there, then it's at more consistent.

Can you look at how some other packages do this [0], and send a patch
fixing this aspect of the transmission package to [email-masked]?

[0] If you don't know where to start, just try using `grep` for the
relevant terms in 'gnu/packages'. I don't really know much about this
subject, so sorry that I can't give more specific advice.